View Issue Details

IDProjectCategoryView StatusLast Update
11871Feature requestsDocumentationpublic2017-09-22 11:12
ReporterDenisChenu Assigned Toollehar  
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Fixed in Version2.x.x 
Summary11871: Documentation for the system for 'new admin page'
DescriptionWe have a good system (thanks to you) to add an admin page in LS. But we don't have a link for this.
It's not an event, then not in : Plugin_events

We have example : its' good, but maybe just a page somewhere about "public function actionIndex" plugin function ?

PS : related to https://www.limesurvey.org/forum/can-i-do-this-with-limesurvey/107549-how-to-add-a-custom-page-in-the-admin-module#144128
Additional InformationWhen you have time ....


I need to do a page+example with
- Do your own complete page (with views) ( i have another admin stat plugin : just need confiormation for publication)
- Replace completely a admin page (https://manual.limesurvey.org/BeforeControllerAction + https://framagit.org/SondagePro-LimeSurvey-plugin/extendAdminStatitistics )
TagsNo tags attached.

Activities

ollehar

ollehar

2016-11-07 10:27

administrator   ~41744

Good issue, this needs to be done.
DenisChenu

DenisChenu

2016-11-07 10:41

developer   ~41745

Yes, i have a lot to do too .....
LouisGac

LouisGac

2016-11-14 15:58

developer   ~41898

Typically: this should not be done with a plugin based on events, but with a component based on Yii module.
ollehar

ollehar

2016-11-22 14:22

administrator   ~42124

Updated manual page: https://manual.limesurvey.org/Add_new_menu_and_view_by_a_plugin

Issue History

Date Modified Username Field Change
2016-11-05 10:59 DenisChenu New Issue
2016-11-05 10:59 DenisChenu Status new => assigned
2016-11-05 10:59 DenisChenu Assigned To => ollehar
2016-11-05 11:00 DenisChenu Description Updated View Revisions
2016-11-05 11:00 DenisChenu Description Updated View Revisions
2016-11-07 10:27 ollehar Note Added: 41744
2016-11-07 10:41 DenisChenu Note Added: 41745
2016-11-14 15:58 LouisGac Note Added: 41898
2016-11-22 14:22 ollehar Status assigned => resolved
2016-11-22 14:22 ollehar Resolution open => fixed
2016-11-22 14:22 ollehar Note Added: 42124
2017-09-22 11:12 c_schmitz Status resolved => closed
2017-09-22 11:12 c_schmitz Fixed in Version => 2.x.x